/**
 * @param { import("knex").Knex } knex
 * @returns { Promise<void> }
 */
exports.up = function(knex) {
  return knex.schema.alterTable('mailbox', function(table) {
    table.datetime('expires').notNullable().defaultTo('2000-01-01 00:00:00');
  });
};

/**
 * @param { import("knex").Knex } knex
 * @returns { Promise<void> }
 */
exports.down = function(knex) {
  return knex.schema.alterTable('mailbox', function(table) {
    table.dropColumn('expires');
  });
};
